# BuiltinTypes

Class in [Yarn](/2.3/api/csharp/yarn.md)

Inherits from `System.Object`

## Summary

Contains the built-in types available in the Yarn language.

```csharp
public static class BuiltinTypes
```

## Properties

| Name                                                                                     | Description                                                              |
| ---------------------------------------------------------------------------------------- | ------------------------------------------------------------------------ |
| [Any](/2.3/api/csharp/yarn/yarn.builtintypes/yarn.builtintypes.any.md)                   | Gets the type representing any value.                                    |
| [Boolean](/2.3/api/csharp/yarn/yarn.builtintypes/yarn.builtintypes.boolean.md)           | Gets the type representing boolean values.                               |
| [Number](/2.3/api/csharp/yarn/yarn.builtintypes/yarn.builtintypes.number.md)             | Gets the type representing numbers.                                      |
| [String](/2.3/api/csharp/yarn/yarn.builtintypes/yarn.builtintypes.string.md)             | Gets the type representing strings.                                      |
| [TypeMappings](/2.3/api/csharp/yarn/yarn.builtintypes/yarn.builtintypes.typemappings.md) | Gets a dictionary that maps CLR types to their corresponding Yarn types. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.3/api/csharp/yarn/yarn.builtintypes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
